    import java.awt.image.*;
    import javax.imageio.*;
    import javax.swing.*;
    import java.awt.*;
    import java.io.*;
    import java.util.*;
    
    
     /**
     * Classe ImagePanel:
     * - charge une image dans un JPanel 
     * - dessine une trajectoire sur l'image
     */
     public class ImagePanel extends JPanel
     {
     private BufferedImage image;
     private int w; // largeur de l'image
     private int h; // hauteur de l'image
     private int x,y;// coordonnées du coin sup gauche
     
    
     /**
     * Le constructeur :
     * @param img le fichier de l'image.
     * @param x coordonnée x du coin supérieur gauche.
     * @param y coordonnée y du coin supérieur gauche.
     * @param width largeur de l'image.
     * @param height hauteur de l'image.
     */
     public ImagePanel(File fileImg,int x,int y,int width,int height)
     {
        super();
        try 
        {
            image = ImageIO.read(fileImg);
        } 
        catch (IOException e)
        {
            image = null;
            System.err.println("Fichier invalide");
        }
        this.x = x;
        this.y = y;
        w = width;
        h = height;
        //setVisible(true);
     }
    
     /**
     * Gere l'affichage graphique du JPanel, ainsi que le refraichissement.
     */
    
     public void paintComponent(Graphics g) 
     {
         
          
          super.paintComponent(g);
          g.drawImage(image,x,y,w,h,null);
         
     }
     
     public void loadTxtFile() throws IOException
     {
        
     }
    
    
  }